> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get an operable agent by ID

GET https://example.itential.io/agent-project-service/operable-agents/{agentId}

Returns a single operable Agent Definition by its _id. Requires write access to the parent project or membership in the agent's operators array.

Reference: https://docs.itential.com/itential-platform/6/api-reference/agent-project-service/get-operable-agent

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `agentId` (string, required) — Agent _id (UUID).

## Response

### 200

The operable Agent Definition

- `message` (string, required)
- `data` (object, required)
  - `_id` (string, required)
  - `name` (string, required)
  - `description` (string, required)
  - `instructions` (string, required)
  - `inputSchema` (object, required)
  - `provider` (object, required)
    - `profile` (string, required)
    - `model` (string, required)
    - `lastKnownProfileName` (string, required)
    - `lastKnownModelName` (string, required)
  - `operators` (list of object, required)
    - `_id` (string, required)
    - `name` (string, required)
    - `provenance` (string, required)
  - `namespace` (object, required)
    - `type` ("flowai_project", required)
    - `_id` (string, required)
    - `name` (string, required)
  - `tools` (list of object, required)
    - `referenceId` (string, required)
    - `lastKnownName` (string, required)
    - `decoratorId` (string, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "message": "string",
  "data": {
    "_id": "string",
    "name": "string",
    "description": "string",
    "instructions": "string",
    "inputSchema": {},
    "provider": {
      "profile": "string",
      "model": "string",
      "lastKnownProfileName": "string",
      "lastKnownModelName": "string"
    },
    "operators": [
      {
        "_id": "string",
        "name": "string",
        "provenance": "string"
      }
    ],
    "namespace": {
      "type": "string",
      "_id": "string",
      "name": "string"
    },
    "tools": [
      {
        "referenceId": "string",
        "lastKnownName": "string",
        "decoratorId": "string"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/agent-project-service/operable-agents/agentId"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/agent-project-service/operable-agents/agentId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/agent-project-service/operable-agents/agentId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/agent-project-service/operable-agents/agentId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/agent-project-service/operable-agents/agentId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/agent-project-service/operable-agents/agentId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/agent-project-service/operable-agents/agentId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/agent-project-service/operable-agents/agentId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```